#!/bin/bash

## Script to generate the docstring coverage
NAME_CURRENT_FILE="`realpath \"$0\"`"
DIRNAME_CURRENT_FILE=$(dirname $NAME_CURRENT_FILE)
TESTS_DIR="$DIRNAME_CURRENT_FILE/binarycpython/tests/"
REPORTS_DIR="$DIRNAME_CURRENT_FILE/reports"

#
# echo "$NAME_CURRENT_FILE"
# echo "$DIRNAME_CURRENT_FILE"
# echo "$TESTS_DIR"
# echo "$REPORTS_DIR"

mkdir -p "$REPORTS_DIR"
mkdir -p "$REPORTS_DIR"

# Docstring coverage:
command -v docstr-coverage >/dev/null 2>&1 || { echo >&2 "docstr-coverage is not installed.  Aborting."; exit 1; }


DOCSTRING_COV_DIR="$REPORTS_DIR/docstring_coverage"
mkdir -p "$DOCSTRING_COV_DIR/"
docstr-coverage binarycpython --exclude="$TESTS_DIR/*" -v 3 --badge "$DOCSTRING_COV_DIR/docstring_coverage.svg" > "$DOCSTRING_COV_DIR/docstring_coverage.txt" 2>&1

# # Go down to the dir
# cd reports/test_coverage && coverage run --source=binarycpython ../../binary_c-python/binarycpython/tests/main.py && coverage-badge > test_coverage.svg
# cd ../../

# # Copy docstring coverage
# cp reports/docstring_coverage/docstring_coverage.svg binary_c-python/badges/docstring_coverage.svg
# cp reports/docstring_coverage/docstring_coverage.svg binary_c-python/docs/source/badges/docstring_coverage.svg

# # Copy test coverage
# cp reports/test_coverage/coverage.svg binary_c-python/badges/test_coverage.svg
# cp reports/test_coverage/coverage.svg binary_c-python/docs/source/badges/test_coverage.svg
